gd_nfragments(3)

NAME
gd_nfragments — retrieve the number of format specification fragments in a dirfile

SYNOPSIS
#include <getdata.h>

int gd_nfragments(const DIRFILE *dirfile);

DESCRIPTION
The gd_nfragments() function queries a dirfile(5) database specified by dirfile and returns the total number of parsed format specification fragments in the database.

The dirfile argument must point to a valid DIRFILE object previously created by a call to gd_open(3).

RETURN VALUE
Upon successful completion, gd_nfragments() returns the total number of format specification fragments which are present in the dirfile. On error, gd_nfragments() returns zero and sets the dirfile error to a non-zero value. Possible error values are:

GD_E_BAD_DIRFILE
    The supplied dirfile was invalid.

The dirfile error may be retrieved by calling gd_error(3). A descriptive error string for the last error encountered can be obtained from a call to gd_error_string(3).

SEE ALSO
dirfile(5), gd_fragmentname(3), gd_include(3), gd_open(3), gd_parent_fragment(3)